/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef CERTIFICATEDIFFDIALOG_H
#define CERTIFICATEDIFFDIALOG_H

#include <QDialog>
#include <QMainWindow>

/**
 * @file certificatediffdialog.h
 * @brief The dialog to show the changes made in the certificate list.
 */

class AdministratorWindow;

/** @brief Specialized dialog for the differences in two certificate lists
  *
  * When certificates are added or removed from one list to the next
  * this dialog is intended to show the differences between the old and
  * the new list.
  */
class CertificateDiffDialog : public QDialog
{
    Q_OBJECT
public:
    /** @brief Create a dialog showing the changes made in the certificate list.
     *
     * This class knows enough about the parent that it uses the parent's
     * accessor functions to get at the information it should present.
     *
     * @param[in] parent A reference to the AdministratorWindow
     */
    CertificateDiffDialog(AdministratorWindow *parent);

private:
    /** @brief Create the UI elements. */
    void setupGUI();

    AdministratorWindow *mAdminWindow;

private slots:
};

#endif // CERTIFICATEDIFFDIALOG_H
